//########## Dead Bodies :D

if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
  if(!$RTB::RTBR_ServerControl_Hook) exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
  RTB_registerPref("Body Decay Time","Bodies","$gc_Bodies::Decay","int 0 600","Server_Bodies",60,0,0);
}
else
{
  $gc_Bodies::Decay = 60;
}

//### Datablocks

datablock PlayerData(gc_DeadBodyPlayer : PlayerStandardArmor)
{
  maxDamage = 500;
  uiName = "";
  emap = false;
  runForce = 0;
  runEnergyDrain = 0;
  minRunEnergy = 0;
  maxForwardSpeed = 0;
  maxBackwardSpeed = 0;
  maxSideSpeed = 0;
  maxForwardCrouchSpeed = 0;
  maxBackwardCrouchSpeed = 0;
  maxSideCrouchSpeed = 0;
  jumpForce = 0;
  jumpEnergyDrain = 0;
  minJumpEnergy = 0;
  airControl = 0;
  canJet = 0;
  canRide = 0;
  boundingBox = "0 0 0";
  crouchBoundingBox = "0 0 0";
  maxTools = 0;
  maxWeapons = 0;
  drag = 1;
  mass = 1000;
};


package DeadBodies
{
  function Armor::Damage(%this,%obj,%sourceObject,%pos,%damage,%damageType)
  {
    if(%obj.getDataBlock().getName() $= "gc_DeadBodyPlayer") return 0;
    parent::Damage(%this,%obj,%sourceObject,%pos,%damage,%damageType);
    if(%obj.getDataBlock().shapeFile !$= "base/data/shapes/player/m.dts") return 1;
    if(%obj.isDisabled())
    {
      %obj.hideNode("ALL");
      %a = new AIPlayer() { dataBlock = gc_DeadBodyPlayer; };
      MissionCleanup.add(%a);
      %a.setTransform(%obj.getTransform());
      %a.setScale(%obj.getScale());
      %a.setVelocity(%obj.getVelocity());
      %a.playThread(0,death1);
      %a.stop();
      %a.hideNode("ALL");
      %a.unHideNode("headskin");
      %a.unHideNode("femchest");
      %a.unHideNode("pants");
      %a.unHideNode("larmslim");
      %a.unHideNode("rarmslim");
      %a.setNodeColor("ALL","0.6 0 0 1");
      %a.schedule($gc_Bodies::Decay * 1000,delete);
    }
  }
};
activatePackage(DeadBodies);
